Name:           galaxy4-release
Version:        %{rhel}
Release:        1
Summary:        Galaxy4 RHEL/CentOS %{rhel} RPM repository

Group:          System Environment/Base
License:        GPLv2

URL:            http://galaxy4.net/repo/
Source0:        http://galaxy4.net/repo/RPM-GPG-KEY-galaxy4
Source1:        GPL
Source2:        galaxy4-rhel%{rhel}.repo

BuildArch:      noarch
Requires:       redhat-release >=  %{version}
# galaxy4-release is only for enterprise linux, not fedora
Conflicts:      fedora-release

%description
This package contains the Galaxy4 RHEL/CentOS RPM repository GPG key as well as
configuration for yum.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-galaxy4

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*

%changelog
* Sun Nov 15 2020 Scott Rochford <scott+rpmb@galaxy4.net>
- Initial version
